Skip to Content
avatar image
Former Member

Adapters Not available in Integartion Directory

Hello,

I want to add adapter to my scenario.

But Adapters are not available in Integartion Directory. It is giving message

" No Objects Found" .

Also I am not able to see the Namespace -- http://sap.com/xi/XI/System in

Basis Components SAP BASIS 6.40 in Integration Repository also.

Pls advice

Regards

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

8 Answers

  • Best Answer
    avatar image
    Former Member
    Aug 16, 2007 at 09:37 AM

    Hi,

    Firstly check out Apply SAP Note 764176.

    Is this a new instance of the server>?

    Yes ->

    1)you need to reimport the basis component.

    2) Apply SAP Note 764176.

    3) /people/venugopalarao.immadisetty/blog/2007/03/15/adapter-engine-cannot-be-found-in-integration-directory done.

    If not then do a full CPA CACHE REFRESH.

    Just check out are you able to use IDOC and Http adapter and only j2ee adapters are missing?

    <b>Cheers,

    *RAJ*</b>

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hello ,

      I have applied cpa cache refresh....

      but still I am not able to see any adapter.

      In Integration Directory in front of

      Adapter Type -- it is displaying Undefined.

      i do not have support.sap.com credentials. Can you help me.

      Regards

  • Aug 16, 2007 at 09:16 AM

    Hi Amitanshu,

    Pl do a cpa cache refresh....

    http://server:port/CPACache/refresh?mode=full

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Aug 16, 2007 at 10:38 AM

    Hi ,

    >>>>> I am not able to see the Namespace -- http://sap.com/xi/XI/System in

    Basis Components SAP BASIS 6.40 in Integration Repository also.

    What do u mean by this?? you are not able to see only the namespace or Software Component SAP BASIS 6.40??

    If you dont see SAP BASIS 6.40 then you need to download the same and import it.

    You can ask your basis team to download the same from marketplace.

    Regards,

    Sumit

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      you have to maintain Techincal System and Business system for your Integration Server in SLD....

      Can you check wether they are existed and pointed to your IS URL....

  • avatar image
    Former Member
    Aug 16, 2007 at 09:48 AM

    hi,

    i think it is the problem of cavhe refresh.check the cache refresh in Tcode SXI_CACHE.

    regards

    ajai

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Aug 16, 2007 at 09:55 AM

    Hi Amitanshu

    you have to download from http://service.sap.com/swdc the package:

    XI7_0_SAP_BASIS_7.00_06_00.tpz

    It is under:

    SAP Support Packages

    Entry by application group

    SAP Content

    ESR Content

    XI CONTENT SAP_BASIS

    Then you have to import it in Integration Repository, and you will get the namespace and all its content including adapter metadata.

    Best Regards,

    Francesco

    Add comment
    10|10000 characters needed characters exceeded

  • Aug 16, 2007 at 09:58 AM

    Hi Amitanshu,

    maybe you have to import the XI content again.

    You should check that the Adapter Metadata is correct,

    e.g.,

    Integration Repository

    -> expand the SWC SAP Basis

    -> Open the SWCV SAP Basis 6.40

    -> Select the 'Details' TAB

    The version displayed in the field

    'Available Support Packages'

    should be the same as the XI component's SP level.

    If this is not the case then import the correct XI content,

    i.e,

    #705541 XI 3.0 (SP1 and higher): Importing XI Content

    Regards

    Kenny

    Add comment
    10|10000 characters needed characters exceeded

  • Aug 20, 2007 at 08:07 AM

    Hi Amitanshu,

    is the the Adapter Metadata is correct,

    e.g.,

    Integration Repository

    -> expand the SWC SAP Basis

    -> Open the SWCV SAP Basis 6.40 ( or SAP Basis 7.00 if you are using XI 7.0)

    -> Select the 'Details' TAB

    The version displayed in the field

    'Available Support Packages'

    should be the same as the rest of the XI component's SP level.

    If this is not the case then import the correct XI content,

    i.e,

    #705541 XI 3.0 (SP1 and higher): Importing XI Content

    or

    #836200 - SAP NetWeaver 7.0: Importing Process Integration Content

    ensure that there are no SLD inconsistencies, i.e., note #764176

    Regards

    Kenny

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Aug 20, 2007 at 10:05 AM

    Hi,

    Do these steps

    1) Download XI7_0_SAP_BASIS_7.00_10_00.tpz which is available in a zipped format from the SAP Service Market Place.

    2) Unzip the contents and copy the file XI7_0_SAP_BASIS_7.00_10_00.tpz (if you are using PI 7.0 or else download the file for your XI version) to

    /usr/sap/<SAPSID>/SYS/global/xi/repository_server/import/

    3) Goto Repository (Design)

    4) Choose -> Tools -> Import Design Objects

    Regards,

    Balaji.M

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      I was facing the same problem which got solved by Downloading XI7_0_SAP_BASIS_7.00_12_00.tpz and importing it in Integration Repository.

      This discussion was really helpfull.

      Thanks

      Mukesh